[Yandex Cloud documentation](../../../../index.md) > [Yandex Object Storage](../../../index.md) > API reference > [AWS S3 REST](../../index.md) > [REST](../index.md) > Object > GetObjectTagging

# Object Storage API, Amazon S3-compatible REST: GetObjectTagging

Returns bucket object [labels](../../../concepts/tags.md).

{% note info %}

Yandex Cloud uses _labels_ to logically identify resources. However, Object Storage supports compatibility with [Amazon S3 API](https://docs.aws.amazon.com/AmazonS3/latest/API/Welcome.html), that is why we use _tags_, a term native to AWS, in the [AWS CLI](../../../tools/aws-cli.md) commands and [API](../../index.md) parameters.

{% endnote %}

For more information on getting started with the API and the general request format, see [How to use the S3 API](../../index.md).

## Request {#request}

```http
GET /{bucket}/{key}?tagging&versionId={versionId} HTTP/2
```

### Path parameters {#path-parameters}

Parameter | Description
--- | ---
`bucket` | Bucket name.
`key` | Object key.

### Query parameters {#request-params}

Parameter | Description
--- | ---
`tagging` | Type of operation. This is a required parameter.
`versionId` | [Object version](../../../concepts/versioning.md) ID. This is a required parameter.

### Headers {#request-headers}

Use [common headers](../common-request-headers.md) in your requests.

## Response {#response}

### Headers {#response-headers}

In addition to [common headers](../common-response-headers.md), responses may contain:

Header | Description
--------- | --------
`x-amz-version-id` | Object version ID.

### Response codes {#response-codes}

For a list of possible responses, see [Responses](../response-codes.md).

A successful response contains additional data in XML format.

### Data schema {#structure}

```xml
<?xml version="1.0" encoding="UTF-8" ?>
<Tagging xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
   <TagSet>
      <Tag>
         <Key>string</Key>
         <Value>string</Value>
      </Tag>
   </TagSet>
</Tagging>
```

Element | Description
--- | ---
`Tagging` | Root element.
`TagSet` | Array of labels.
`Tag` | Container for a label.
`Key` | Label key.<br>Type: String.
`Value` | Label value.<br>Type: String.

#### Related articles {#related-articles}

* [Object](../../../concepts/object.md)

* [Managing object labels](../../../operations/objects/tagging.md)

#### See also {#see-also}

* [Getting started with the AWS S3 API in Yandex Object Storage](../../s3-api-quickstart.md)

* [Debugging requests using the AWS CLI](../../signing-requests.md#debugging)

* [Example of sending a signed request using curl](../../../api-ref/authentication.md#s3-api-example)

* [Code example for generating a signature](../../../concepts/pre-signed-urls.md#code-examples)